For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginBook a Demo
  • Getting Started
    • Athena SDK Quickstart
  • Database API
    • Database Filters & CRUD
  • Python Guides
    • Build with Agents
    • Use Models Directly
    • Load Data Frames
    • Upload Files
    • Create Assets
    • Structured Output
    • Long-Running AOP Execution
  • TypeScript Guides
    • Build with Agents
    • Working with Assets
    • Use Models Directly
    • Execute AOPs
    • Sheets API
    • Browser JavaScript (ESM)
    • UI Registry (Assistant.js)
    • Upload Files
    • Create Assets
    • Structured Output
  • API Reference
      • POSTGet the chunks of an asset by ID
      • GETGet the content of an asset by ID
      • GETGet a screenshot of a specific page from an asset
      • GETList Contents
      • GETGet Tabular Data from Object
      • GETGet Raw File Data from Object
      • POSTSave file as an asset
Logo
LoginBook a Demo
API ReferenceTools

Get the content of an asset by ID

Beta
GET
https://api.athenaintel.com/api/v0/tools/asset/content
GET
/api/v0/tools/asset/content
$curl -G https://api.athenaintel.com/api/v0/tools/asset/content \
> -H "X-API-KEY: <apiKey>" \
> -d asset_id=asset_id
1{
2 "content": "This is the content of the asset..."
3}
Get the content of an asset.
Was this page helpful?
Previous

Get a screenshot of a specific page from an asset

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

asset_idstringRequired

Response

Successful Response
contentstring
The content of the asset

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error